Update Custom Field
curl --request PUT \
--url https://api.meetcampfire.com/ca/api/v1/custom-fields/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"label": "<string>",
"options": "<unknown>",
"is_required": true,
"display_order": -1,
"is_active": true,
"include_on_invoice": true
}
'import requests
url = "https://api.meetcampfire.com/ca/api/v1/custom-fields/{id}"
payload = {
"name": "<string>",
"label": "<string>",
"options": "<unknown>",
"is_required": True,
"display_order": -1,
"is_active": True,
"include_on_invoice": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
label: '<string>',
options: '<unknown>',
is_required: true,
display_order: -1,
is_active: true,
include_on_invoice: true
})
};
fetch('https://api.meetcampfire.com/ca/api/v1/custom-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"app": "<string>",
"model": "<string>",
"name": "<string>",
"label": "<string>",
"field_type": "text",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"options": "<unknown>",
"is_required": true,
"display_order": -1,
"is_active": true,
"include_on_invoice": true
}Company Objects
Update Custom Field
PUT
/
ca
/
api
/
v1
/
custom-fields
/
{id}
Update Custom Field
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
100Maximum string length:
100text- Free Textsingle_select- Single Selectdate- Datenumber- Numberboolean- Boolean
Available options:
text, single_select, date, number, boolean Required range:
-2147483648 <= x <= 2147483647Response
200 - application/json
Maximum string length:
100Maximum string length:
100text- Free Textsingle_select- Single Selectdate- Datenumber- Numberboolean- Boolean
Available options:
text, single_select, date, number, boolean Required range:
-2147483648 <= x <= 2147483647